/*********************************************************
* HotProp Control
* Version: 1.8
* Date: September 1, 2003
* Autor: Michal Mecinski
* E-mail: mimec@mimec.w.pl
* WWW: http://www.mimec.w.pl
*
* You may freely use and modify this code, but don't remove
* this copyright note.
*
* There is no warranty of any kind, express or implied, for this class.
* The author does not take the responsibility for any damage
* resulting from the use of it.
*
* Let me know if you find this code useful, and
* send me any modifications and bug reports.
*
* Copyright (C) 2002-03 by Michal Mecinski
*********************************************************/

#pragma once

#define HPEM_ENDEDIT		(WM_USER+1702)	// bDone

class CHPDynEdit : public CEdit
{
public:
	CHPDynEdit(CRect& rcLoc, LPCSTR lpszText, int nLimit,
		CPoint& ptAct, int fFlags, CFont* pFont, CWnd* pParent);

public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
protected:
	virtual void PostNcDestroy();

protected:
	BOOL m_bDone;

protected:
	afx_msg void OnKillFocus();
	DECLARE_MESSAGE_MAP()
};
