// HotPropView.h : interface of the CHotPropView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_HOTPROPVIEW_H__2226B69F_4960_431F_86D4_AB34DF093FE8__INCLUDED_)
#define AFX_HOTPROPVIEW_H__2226B69F_4960_431F_86D4_AB34DF093FE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHotPropDoc;
#include "HotPropCtrl.h"

class CHotPropView : public CView
{
protected: // create from serialization only
	CHotPropView();
	DECLARE_DYNCREATE(CHotPropView)

// Attributes
public:
	CHotPropDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHotPropView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHotPropView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CHotPropView)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	afx_msg LRESULT OnHotPropUpdate(WPARAM nID, LPARAM nValue);
	afx_msg LRESULT OnHotPropDrawCustom(WPARAM nCustom, LPARAM pCustomItem);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in HotPropView.cpp
inline CHotPropDoc* CHotPropView::GetDocument()
   { return (CHotPropDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HOTPROPVIEW_H__2226B69F_4960_431F_86D4_AB34DF093FE8__INCLUDED_)
